#!/usr/bin/env python
# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""A simple, integration test of init-target.

Tests initialization of the host without init-lxc in order to demonstrate that
it can be run in isolation, as part of a non-LXC environment.
"""

import sys

from common import IntegrationTestBase


class InitTargetTest(IntegrationTestBase):

    test_type = 'init-target tests'
    default_juju_env = 'lpsetup-testing-ec2'
    juju_target = 'ubuntu/0'

    def do_test(self):
        """Run an integration test that only address target issues.

        Can be run on EC2 or LXC as the target machine.
        """
        # Since the most common scenario is to have bzr whoami setup, we do
        # that instead of providing the arguments directly to lpsetup.
        super(InitTargetTest, self).do_test()
        self.on_remote('cd lpsetup; ./lp-setup init-target --yes')


if __name__ == '__main__':
    sys.exit(InitTargetTest().run())
