#!/usr/bin/env python
# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Tests for the version subcommand."""

import argparse
import os
import sys
import unittest

from lpsetup import get_version
from lpsetup.subcommands import version
from lpsetup.tests.utils import capture_output


class VersionTest(unittest.TestCase):

    def test_subcommand(self):
        # Ensure the version subcommand prints to stdout
        # the actual app name and version.
        subcommand = version.SubCommand()
        with capture_output() as output:
            subcommand.run(argparse.Namespace())
        app_name, app_version = output.getvalue().strip().split()
        self.assertEqual(os.path.basename(sys.argv[0]), app_name)
        self.assertEqual('v' + get_version(), app_version)
